[arch-commits] Commit in arj/repos (3 files)

Jan de Groot jgc at archlinux.org
Sun Aug 16 22:10:36 UTC 2009


    Date: Sunday, August 16, 2009 @ 18:10:36
  Author: jgc
Revision: 49935

Merged revisions 356,49803 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/arj/trunk

........
  r356 | aaron | 2008-04-19 00:56:27 +0200 (Sat, 19 Apr 2008) | 1 line
  
  Added svn:keywords to all PKGBUILDs
........
  r49803 | jgc | 2009-08-16 16:37:35 +0200 (Sun, 16 Aug 2009) | 4 lines
  
  upgpkg: arj 3.10.22-5
      Rebuild to get rid of .FILELIST
  Fix build on x86_64 by using automake config.* files
  Add patch to fix build with recent glibc
........

Added:
  arj/repos/extra-i686/arj-3.10.22-custom-printf.patch
    (from rev 49803, arj/trunk/arj-3.10.22-custom-printf.patch)
Modified:
  arj/repos/extra-i686/	(properties)
  arj/repos/extra-i686/PKGBUILD

---------------------------------+
 PKGBUILD                        |   51 +++++++++++++++++++++++---------------
 arj-3.10.22-custom-printf.patch |   15 +++++++++++
 2 files changed, 46 insertions(+), 20 deletions(-)


Property changes on: arj/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /arj/trunk:1
   + /arj/trunk:1-49934

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-08-16 21:58:34 UTC (rev 49934)
+++ extra-i686/PKGBUILD	2009-08-16 22:10:36 UTC (rev 49935)
@@ -4,40 +4,51 @@
 
 pkgname=arj
 pkgver=3.10.22
-pkgrel=4
+pkgrel=5
 pkgdesc="Free and portable clone of the ARJ archiver"
 url="http://arj.sourceforge.net/"
-arch=('i686')
-license=("GPL")
+arch=('i686' 'x86_64')
+license=('GPL')
 depends=('glibc')
 makedepends=('autoconf')
-source=(http://dl.sourceforge.net/sourceforge/arj/$pkgname-$pkgver.tar.gz \
-        001_arches_align.patch 002_no_remove_static_const.patch 003_64_bit_clean.patch)
+options=(!makeflags)
+source=(http://downloads.sourceforge.net/sourceforge/arj/$pkgname-$pkgver.tar.gz
+        001_arches_align.patch
+        002_no_remove_static_const.patch
+        003_64_bit_clean.patch
+        arj-3.10.22-custom-printf.patch)
+md5sums=('f263bf3cf6d42a8b7e85b4fb514336d3'
+         '550bc972d825036f17f202a2b11b35c2'
+         '395dfa8cc500ffae648777f8f241be88'
+         '56b3cf96ec485b0d824761457417fcc0'
+         '4630a7254dfc6c8d8c7e696aa4a58f4a')
+sha1sums=('e8470f480e9eee14906e5485a8898e5c24738c8b'
+          '7f8904f8c89bacbbeec8c431d627efbb8da2f259'
+          '919a3c02a1e039803502c21175d69f7703d13026'
+          'd506338e34b40ef5cac6ec14c858fd651a354aaf'
+          '4c9481a4b196c4f56fb44fcd3b9362222d6cbe58')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
+  cd "${srcdir}/${pkgname}-${pkgver}"
 
   # Add gentoo patches
-  patch -Np1 -i $startdir/src/001_arches_align.patch || return 1
-  patch -Np1 -i $startdir/src/002_no_remove_static_const.patch || return 1
-  patch -Np1 -i $startdir/src/003_64_bit_clean.patch || return 1
+  patch -Np1 -i "${srcdir}/001_arches_align.patch" || return 1
+  patch -Np1 -i "${srcdir}/002_no_remove_static_const.patch" || return 1
+  patch -Np1 -i "${srcdir}/003_64_bit_clean.patch" || return 1
+  patch -Np1 -i "${srcdir}/arj-3.10.22-custom-printf.patch" || return 1
 
   # Build!
   cd gnu
-  autoconf
-  ./configure --prefix=/usr
+  aclocal || return 1
+  autoconf || return 1
+  rm -f config.{guess,sub}
+  _autover=$(automake --version | head -n1 | awk '{ print $4 }')
+  cp /usr/share/automake-${_autover}/config.{guess,sub} . || return 1
+  ./configure --prefix=/usr || return 1
   cd ..
   make prepare || return 1
   make || return 1
 
   # Install!
-  make DESTDIR=$startdir/pkg install
+  make DESTDIR="${pkgdir}" install || return 1
 }
-md5sums=('f263bf3cf6d42a8b7e85b4fb514336d3'
-	  '550bc972d825036f17f202a2b11b35c2'
-	  '395dfa8cc500ffae648777f8f241be88'
-	  '56b3cf96ec485b0d824761457417fcc0')
-sha1sums=('e8470f480e9eee14906e5485a8898e5c24738c8b'
-	  '7f8904f8c89bacbbeec8c431d627efbb8da2f259'
-	  '919a3c02a1e039803502c21175d69f7703d13026'
-	  'd506338e34b40ef5cac6ec14c858fd651a354aaf')

Copied: arj/repos/extra-i686/arj-3.10.22-custom-printf.patch (from rev 49803, arj/trunk/arj-3.10.22-custom-printf.patch)
===================================================================
--- extra-i686/arj-3.10.22-custom-printf.patch	                        (rev 0)
+++ extra-i686/arj-3.10.22-custom-printf.patch	2009-08-16 22:10:36 UTC (rev 49935)
@@ -0,0 +1,15 @@
+Patch by Lubomir Rintel <lkundrak at v3.sk> for arj >= 3.10.22, which disables
+the custom printf to avoid conflicting strnlen definition with the glibc
+headers. By using custom printf (as in the past), we're completely loosing
+all the _FORTIFY_SOURCE printf protections.
+
+--- arj-3.10.22/fardata.c		2004-04-17 13:39:42.000000000 +0200
++++ arj-3.10.22/fardata.c.printf	2009-04-18 16:23:52.000000000 +0200
+@@ -13,7 +13,6 @@
+ /* ASR fix 02/05/2003: need that regardless of COLOR_OUTPUT to support -jp
+    correctly */
+ #if SFX_LEVEL>=ARJ
+- #define CUSTOM_PRINTF
+  #define CHUNK_SIZE               512    /* Size of the output block */
+  #define CHUNK_THRESHOLD (CHUNK_SIZE-256) /* Safety bound */
+ #endif




More information about the arch-commits mailing list